pkgsrc/net/icinga-base/patches/patch-module_idoutils_db_scripts_create__mysqldb.sh
ryoon f470163348 Import icinga-base-1.8.4 as net/icinga-base.
Icinga is a program that will monitor hosts and services on your
network.  It has the ability to email or page you when a problem arises
and when it gets resolved.  Icinga is written in C and is designed to
run under Linux, although it should work under most other *NIX variants.
It can run either as a normal process or as a daemon, intermittently
running checks on various services that you specify.  The actual service
checks are performed by external "plugins" which return service
information to Icinga.  Several CGI programs are included with Icinga
in order to allow you to view the current service status, history, etc.
via a web browser.

This package provides the core Icinga infrastructure and web pages.

Icinga is a fork of Nagios (net/nagios-base) and Icinga uses
Nagios's plugins (net/nagios-plugins).
2013-03-02 04:08:27 +00:00

21 lines
675 B
Bash

$NetBSD: patch-module_idoutils_db_scripts_create__mysqldb.sh,v 1.1 2013/03/02 04:08:27 ryoon Exp $
--- module/idoutils/db/scripts/create_mysqldb.sh.orig 2013-01-13 22:18:37.000000000 +0000
+++ module/idoutils/db/scripts/create_mysqldb.sh
@@ -52,14 +52,14 @@ select now();
\q
EOS2
-if [ $? == 0 ]; then
+if [ $? = 0 ]; then
echo "Check icinga schema version with DB User $DBUSER..."
mysql $DB -u $DBUSER -p$DBPASS -h $DBHOST -s <<EOS3
select "DB-Version",version from icinga_dbversion where name='idoutils';
\q
EOS3
- if [ $? == 0 ]; then
+ if [ $? = 0 ]; then
echo "Database ready"
RET=0
else